changeset 186:f8dac531cbb5

Use shell builtin time instead of /usr/bin version not everybody has. (they behave differently, see "/usr/bin/time exit 1" vs "time exit 1", but the shell version's good enough for now.)
author Rob Landley <rob@landley.net>
date Fri, 29 Jun 2007 10:19:04 -0400
parents 150151529a4d
children ff0cda6ac29b
files build.sh
diffstat 1 files changed, 4 insertions(+), 4 deletions(-) [+]
line wrap: on
line diff
--- a/build.sh	Wed Jun 27 12:33:06 2007 -0400
+++ b/build.sh	Fri Jun 29 10:19:04 2007 -0400
@@ -12,14 +12,14 @@
 # Download source code and build host tools.
 
 ./download.sh || exit 1
-/usr/bin/time ./host-tools.sh || exit 1
+time ./host-tools.sh || exit 1
 
 # Run the steps in order for each architecture listed on the command line
 for i in "$@"
 do
   echo "=== Building ARCH $i"
-  /usr/bin/time ./cross-compiler.sh $i || exit 1
+  time ./cross-compiler.sh $i || exit 1
   echo "=== native ($i)"
-  /usr/bin/time ./mini-native.sh $i || exit 1
-  /usr/bin/time ./package-mini-native.sh $i || exit 1
+  time ./mini-native.sh $i || exit 1
+  time ./package-mini-native.sh $i || exit 1
 done